List manage creditor profiles
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/manage-creditor-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-creditor-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/manage-creditor-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 22,
"row_type": "creditor_profile",
"company_name": "Acme Finance",
"company_url": "https://acme.example.test",
"company_address_1": "400 Member Road",
"company_city": "Dallas",
"company_phone": "3105550199",
"company_phone_label": "(310) 555-0199",
"profile_status": {
"value": "active_member",
"label": "Active Member",
"short_label": "AM"
},
"pending_notice_responses_count": 1,
"completed_notice_responses_count": 2,
"rejected_notice_responses_count": 1,
"actions": {
"can_view": true,
"can_edit": false,
"can_delete": false
}
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 1,
"total": 1
}
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}List manage creditor profiles
List creditor profile and company-only member rows with profile status, notice-response counts, and table action availability.
GET
/
manage-creditor-profiles
List manage creditor profiles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search by company name, phone, address, city, or URL.
Maximum string length:
255Available options:
company-name, company-status, company-url, company-address1, company-city, company-phone, pending, added, returned Available options:
asc, desc Required range:
x >= 1Required range:
1 <= x <= 100Last modified on July 19, 2026
Was this page helpful?
⌘I

